> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Bill Credit Notes

> Retrieve all Bill credit notes.

An **Bill Credit Note** is a financial transaction representing a reduction that can be applied against one or multiple bills issued to Vendors.


## OpenAPI

````yaml GET /accounting/bill_credit_notes
openapi: 3.0.1
info:
  title: rootfi
  version: v3
servers:
  - url: https://api.rootfi.dev/v3
    description: global
  - url: https://api.sa.rootfi.dev/v3
    description: saudi
security: []
paths:
  /accounting/bill_credit_notes:
    get:
      tags:
        - AccountingBillCreditNotes
      summary: Get All Bill Credit Notes
      description: Retrieve all Bill credit notes.
      operationId: accounting_billCreditNotes_list
      parameters:
        - name: limit
          in: query
          description: The number of objects you want to retrieve
          required: false
          schema:
            type: integer
            nullable: true
          examples:
            Example1:
              value: 10
        - name: next
          in: query
          description: The next page of objects to retrieve
          required: false
          schema:
            type: string
            nullable: true
          examples:
            Example1:
              value: eyJyb290ZmlfaWQiOjQ0MDA2MX0=
        - name: prev
          in: query
          description: The previous page of objects to retrieve
          required: false
          schema:
            type: string
            nullable: true
          examples:
            Example1:
              value: eyJyb290ZmaaqaWQiOjQ0MDA2MX0=
        - name: expand
          in: query
          description: >-
            Comma separated fields to expand. Supported values are currency,
            line_items, contact, payments
          required: false
          schema:
            type: string
            nullable: true
          examples:
            Example1:
              value: currency, line_items, bills, contact
        - name: select
          in: query
          description: >-
            Comma separated fields to select. Supported values are raw_data,
            data_hash
          required: false
          schema:
            type: string
            nullable: true
          examples:
            Example1:
              value: raw_data
        - name: rootfi_updated_at[gte]
          in: query
          description: Filter by rootfi_updated_at Greater than or Equal To.
          required: false
          schema:
            type: string
            nullable: true
        - name: rootfi_company_id[eq]
          in: query
          description: >-
            Filter by rootfi_company_id. You can filter by any field using this
            syntax field_name[operator]
          required: false
          schema:
            type: integer
            nullable: true
          examples:
            Example1:
              value: 111
        - name: include_deleted_records
          in: query
          description: >-
            Include deleted records. By default, deleted records are not
            included. Supported values are true and false
          required: false
          schema:
            type: string
            nullable: true
          examples:
            Example1:
              value: 'false'
        - name: return_count
          in: query
          description: Return the count of the objects. Supported values are true and false
          required: false
          schema:
            type: string
            nullable: true
          examples:
            Example1:
              value: 'false'
        - name: sort[rootfi_created_at]
          in: query
          description: Sort by rootfi_created_at
          required: false
          schema:
            $ref: '#/components/schemas/SortOrder'
            nullable: true
        - name: sort[rootfi_updated_at]
          in: query
          description: Sort by rootfi_updated_at
          required: false
          schema:
            $ref: '#/components/schemas/SortOrder'
            nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/accountingGetBillCreditNotesResponse'
              examples:
                Example1:
                  value:
                    data:
                      - rootfi_id: 123
                        rootfi_deleted_at: null
                        rootfi_created_at: '2024-01-25T09:00:00Z'
                        rootfi_updated_at: '2024-01-25T09:00:00Z'
                        rootfi_company_id: 456
                        platform_id: '123456_1'
                        platform_unique_id: '123456'
                        contact_id: '123456'
                        document_number: '123456'
                        total_amount: 1000
                        remaining_credit: 1000
                        posted_date: '2024-01-25T09:00:00Z'
                        currency_id: '123456'
                        memo: Example Memo
                        status: Example Status
                        bill_ids:
                          - '123456'
                        updated_at: '2024-01-25T09:00:00Z'
                        tax_amount: 100
                        line_items:
                          - rootfi_id: 157
                            platform_id: '123456'
                            line_item_type: INVOICES
                            line_item_type_id: '123456'
                            tracking_category_ids:
                              - '123456'
                            project_id: '123456'
                            item_id: '123456'
                            tax_id: '123456'
                            account_id: '123456'
                            description: This is a description
                            quantity: 1
                            unit_amount: 100
                            total_amount: 100
                            sub_total: 100
                            tax_amount: 100
                            total_discount: 100
                            updated_at: '2024-01-22T05:07:31.000Z'
                    prev: eyJyb290ZmlfaWQiOjQ0MDA2MX0=
                    next: eyJyb291ZmlfaWQiOjQ0MDA2MX0=
                    total_count: 123
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    SortOrder:
      title: SortOrder
      type: string
      enum:
        - ASC
        - DESC
    accountingGetBillCreditNotesResponse:
      title: accountingGetBillCreditNotesResponse
      type: object
      description: The data of the bill credit note endpoint
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/accountingBillCreditNoteObject'
      required:
        - data
      allOf:
        - $ref: '#/components/schemas/CommonReadResponse'
    RootFiAPIResponseType:
      title: RootFiAPIResponseType
      type: object
      properties:
        error:
          $ref: '#/components/schemas/RootFiAPIResponseErrorType'
          description: The error message
      required:
        - error
    accountingBillCreditNoteObject:
      title: accountingBillCreditNoteObject
      type: object
      properties:
        contact:
          $ref: '#/components/schemas/accountingContactAllFields'
          nullable: true
          description: The contact of the bill credit note
        currency:
          $ref: '#/components/schemas/accountingCurrencyObject'
          nullable: true
          description: The currency of the bill credit note
        payments:
          type: array
          items:
            $ref: '#/components/schemas/accountingBillPaymentsObject'
          nullable: true
          description: The payments of the bill credit note being applied to bills
      allOf:
        - $ref: '#/components/schemas/AccountingRootFiBaseFields'
        - $ref: '#/components/schemas/accountingBillCreditNoteFields'
    CommonReadResponse:
      title: CommonReadResponse
      type: object
      properties:
        prev:
          type: string
          nullable: true
          description: The previous page of objects to retrieve
        next:
          type: string
          nullable: true
          description: The next page of objects to retrieve
        total_count:
          type: integer
          nullable: true
          description: The total count of the objects
    RootFiAPIResponseErrorType:
      title: RootFiAPIResponseErrorType
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        field:
          type: string
          description: The status of the error
      required:
        - message
        - code
        - field
    accountingContactAllFields:
      title: accountingContactAllFields
      type: object
      properties: {}
      allOf:
        - $ref: '#/components/schemas/AccountingRootFiBaseFields'
        - $ref: '#/components/schemas/accountingContactFields'
    accountingCurrencyObject:
      title: accountingCurrencyObject
      type: object
      properties: {}
      allOf:
        - $ref: '#/components/schemas/AccountingRootFiBaseFields'
        - $ref: '#/components/schemas/accountingCurrencyFields'
    accountingBillPaymentsObject:
      title: accountingBillPaymentsObject
      type: object
      properties:
        account:
          $ref: '#/components/schemas/accountingAccountObject'
          nullable: true
          description: The account of the bill payments
        bill:
          $ref: '#/components/schemas/accountingBillObject'
          nullable: true
          description: The bill of the bill payments
        currency:
          $ref: '#/components/schemas/accountingCurrencyObject'
          nullable: true
          description: The currency of the bill payments
        contact:
          $ref: '#/components/schemas/accountingContactAllFields'
          nullable: true
          description: The contact of the bill payments
      allOf:
        - $ref: '#/components/schemas/AccountingRootFiBaseFields'
        - $ref: '#/components/schemas/accountingBillPaymentsFields'
    AccountingRootFiBaseFields:
      title: AccountingRootFiBaseFields
      type: object
      properties:
        rootfi_id:
          type: number
          format: double
          description: The unique ID we assign for that data's information
          example: 157
        rootfi_deleted_at:
          type: string
          format: date-time
          nullable: true
          description: The date at which the data was deleted in the accounting platform
        rootfi_created_at:
          type: string
          format: date-time
          description: The date at which RootFi first synced this data
          example: '2024-01-22T05:07:31.465Z'
        rootfi_updated_at:
          type: string
          format: date-time
          description: The latest date at which RootFi updated this data
          example: '2024-01-22T05:07:31.000Z'
        rootfi_company_id:
          type: number
          format: double
          description: The ID of the company in the accounting platform
          example: 1089
        platform_id:
          type: string
          description: An unique custom RootFi ID made from platform's unique_id.
          example: '123456'
        platform_unique_id:
          type: string
          nullable: true
          description: The ID of the data in the accounting platform.
        raw_data:
          type: object
          additionalProperties: true
          nullable: true
          description: >-
            A JSON containing fields that you can directly get from the
            accounting platform.
        data_hash:
          type: string
          nullable: true
          description: The hash of the data
      required:
        - rootfi_id
        - rootfi_created_at
        - rootfi_updated_at
        - rootfi_company_id
        - platform_id
    accountingBillCreditNoteFields:
      title: accountingBillCreditNoteFields
      type: object
      properties:
        contact_id:
          type: string
          nullable: true
          description: The contact id of the bill credit note
        document_number:
          type: string
          nullable: true
          description: The document number of the bill credit note
        total_amount:
          type: number
          format: double
          nullable: true
          description: The total amount of the bill credit note
        remaining_credit:
          type: number
          format: double
          nullable: true
          description: The remaining credit of the bill credit note
        posted_date:
          type: string
          nullable: true
          description: The posted date of the bill credit note
        currency_id:
          type: string
          nullable: true
          description: The currency id of the bill credit note
        memo:
          type: string
          nullable: true
          description: The memo of the bill credit note
        status:
          type: string
          nullable: true
          description: The status of the bill credit note
        bill_ids:
          type: array
          items:
            type: string
          nullable: true
          description: The bill ids of the bill credit note
        updated_at:
          type: string
          nullable: true
          description: The updated at of the bill credit note
        tax_amount:
          type: number
          format: double
          nullable: true
          description: The tax amount of the bill credit note
        line_items:
          type: array
          items:
            $ref: '#/components/schemas/LineItemFields'
          nullable: true
          description: The line items of the bill credit note
    accountingContactFields:
      title: accountingContactFields
      type: object
      properties:
        name:
          type: string
          nullable: true
          description: Name of the contact
        contact_name:
          type: string
          nullable: true
          description: Name of the contact person for the contact
        contact_type:
          $ref: '#/components/schemas/ContactType'
          nullable: true
          description: The type of contact. Values are either CUSTOMER or VENDOR
        currency_id:
          type: string
          nullable: true
          description: The ISO-4217 currency code
        tax_number:
          type: string
          nullable: true
          description: Contact’s tax number
        registration_number:
          type: string
          nullable: true
          description: Contact’s identifying number
        status:
          $ref: '#/components/schemas/BaseStatus'
          nullable: true
          description: The status of the contact. Values are ACTIVE, ARCHIVED, UNKNOWN
        updated_at:
          type: string
          nullable: true
          description: The date the contact was last updated
        external_links:
          type: array
          items:
            $ref: '#/components/schemas/ExternalLinks'
          nullable: true
          description: External links for the contact
        phone_numbers:
          type: array
          items:
            $ref: '#/components/schemas/PhoneNumbers'
          nullable: true
          description: Phone numbers for the contact
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/Addresses'
          nullable: true
          description: Addresses for the contact
    accountingCurrencyFields:
      title: accountingCurrencyFields
      type: object
      properties:
        name:
          type: string
          nullable: true
          description: The name of the currency
        code:
          type: string
          nullable: true
          description: The currency code.
        symbol:
          type: string
          nullable: true
          description: >-
            The symbol that represents the currency. Not applicable for many
            currencies.
        is_base_currency:
          type: boolean
          nullable: true
          description: Whether the currency is the base currency for the company.
        exchange_rate:
          type: number
          format: double
          nullable: true
          description: The exchange rate for the currency.
        updated_at:
          type: string
          nullable: true
          description: The last ISO 8601 timestamp that the data was updated at.
    accountingAccountObject:
      title: accountingAccountObject
      type: object
      properties:
        parent_account:
          $ref: '#/components/schemas/accountingAccountAllFields'
          nullable: true
          description: The parent account of the account.
        currency:
          $ref: '#/components/schemas/accountingCurrencyObject'
          nullable: true
          description: The currency of the account.
      allOf:
        - $ref: '#/components/schemas/AccountingRootFiBaseFields'
        - $ref: '#/components/schemas/accountingAccountFields'
    accountingBillObject:
      title: accountingBillObject
      type: object
      properties:
        currency:
          $ref: '#/components/schemas/accountingCurrencyObject'
          nullable: true
          description: The currency of the bill
        contact:
          $ref: '#/components/schemas/accountingContactAllFields'
          nullable: true
          description: The contact of the bill
        documents:
          type: array
          items:
            $ref: '#/components/schemas/accountingDocumentObject'
          nullable: true
          description: The documents of the bill
        bill_payments:
          type: array
          items:
            $ref: '#/components/schemas/accountingBillPaymentsAllFields'
          nullable: true
          description: The bill payments of the bill
      allOf:
        - $ref: '#/components/schemas/AccountingRootFiBaseFields'
        - $ref: '#/components/schemas/accountingBillFields'
    accountingBillPaymentsFields:
      title: accountingBillPaymentsFields
      type: object
      properties:
        payment_id:
          type: string
          nullable: true
          description: The payment id of the bill payments
        bill_id:
          type: string
          nullable: true
          description: The bill id of the bill payments
        account_id:
          type: string
          nullable: true
          description: The account id of the bill payments
        credit_note_id:
          type: string
          nullable: true
          description: The credit note id of the bill payments
        amount:
          type: string
          nullable: true
          description: The amount of the bill payments
        payment_mode:
          type: string
          nullable: true
          description: The payment mode of the bill payments
        currency_id:
          type: string
          nullable: true
          description: The currency id of the bill payments
        currency_rate:
          type: string
          nullable: true
          description: The currency rate of the bill payments
        memo:
          type: string
          nullable: true
          description: The memo of the bill payments
        updated_at:
          type: string
          nullable: true
          description: The updated date of the bill payments
        payment_date:
          type: string
          nullable: true
          description: The payment date of the bill payments
        contact_id:
          type: string
          nullable: true
          description: The contact id of the bill payments
        document_number:
          type: string
          nullable: true
          description: The document number of the bill payments
    LineItemFields:
      title: LineItemFields
      type: object
      properties:
        rootfi_id:
          type: number
          format: double
          nullable: true
          description: The unique ID we assign for that data's information
        platform_id:
          type: string
          nullable: true
          description: The platform id of the line item
        line_item_type:
          $ref: '#/components/schemas/AccountingLineItemtype'
          nullable: true
          description: The line item type of the line item
        line_item_type_id:
          type: string
          nullable: true
          description: The line item type id of the line item
        tracking_category_ids:
          type: array
          items:
            type: string
          nullable: true
          description: The tracking category ids of the line item
        project_id:
          type: string
          nullable: true
          description: The project id of the line item
        item_id:
          type: string
          nullable: true
          description: The item id of the line item
        item:
          $ref: '#/components/schemas/accountingItemObject'
          nullable: true
          description: The item of the line item
        tax_id:
          type: string
          nullable: true
          description: The tax id of the line item
        tax:
          $ref: '#/components/schemas/accountingTaxRateObject'
          nullable: true
          description: The tax of the line item
        account_id:
          type: string
          nullable: true
          description: The account id of the line item
        account:
          $ref: '#/components/schemas/accountingAccountObject'
          nullable: true
          description: The account of the line item
        description:
          type: string
          nullable: true
          description: The description of the line item
        quantity:
          type: number
          format: double
          nullable: true
          description: The quantity of the line item
        unit_amount:
          type: number
          format: double
          nullable: true
          description: The unit amount of the line item
        total_amount:
          type: number
          format: double
          nullable: true
          description: The total amount of the line item
        sub_total:
          type: number
          format: double
          nullable: true
          description: The sub total of the line item
        tax_amount:
          type: number
          format: double
          nullable: true
          description: The tax amount of the line item
        total_discount:
          type: number
          format: double
          nullable: true
          description: The total discount of the line item
        updated_at:
          type: string
          format: date-time
          nullable: true
          description: The last ISO 8601 timestamp that the data was updated at
    ContactType:
      title: ContactType
      type: string
      enum:
        - CUSTOMER
        - VENDOR
    BaseStatus:
      title: BaseStatus
      type: string
      enum:
        - ACTIVE
        - ARCHIVED
        - UNKNOWN
    ExternalLinks:
      title: ExternalLinks
      type: object
      properties:
        rootfi_id:
          type: integer
          nullable: true
          description: The RootFi ID of the contact
        platform_id:
          type: string
          nullable: true
          description: The platform ID of the contact
        link:
          type: string
          nullable: true
          description: The link to the contact
        type:
          $ref: '#/components/schemas/ExternalLinkType'
          nullable: true
          description: The type of the link.
    PhoneNumbers:
      title: PhoneNumbers
      type: object
      properties:
        rootfi_id:
          type: integer
          nullable: true
          description: The RootFi ID of the contact
        platform_id:
          type: string
          nullable: true
          description: The platform ID of the contact
        number:
          type: string
          nullable: true
          description: The number to the contact
        type:
          $ref: '#/components/schemas/ContactNumberType'
          nullable: true
          description: The type of the link.
    Addresses:
      title: Addresses
      type: object
      properties:
        rootfi_id:
          type: integer
          nullable: true
          description: The RootFi ID of the contact
        platform_id:
          type: string
          nullable: true
          description: The platform ID of the contact
        street:
          type: string
          nullable: true
          description: The street of the address
        locality:
          type: string
          nullable: true
          description: The locality of the address
        city:
          type: string
          nullable: true
          description: The city of the address
        state:
          type: string
          nullable: true
          description: The state of the address
        pincode:
          type: string
          nullable: true
          description: The pincode of the address
        country:
          type: string
          nullable: true
          description: The country of the address
    accountingAccountAllFields:
      title: accountingAccountAllFields
      type: object
      properties: {}
      allOf:
        - $ref: '#/components/schemas/AccountingRootFiBaseFields'
        - $ref: '#/components/schemas/accountingAccountFields'
    accountingAccountFields:
      title: accountingAccountFields
      type: object
      properties:
        name:
          type: string
          nullable: true
          description: Name of the account
        description:
          type: string
          nullable: true
          description: Description of the account
        nominal_code:
          type: string
          nullable: true
          description: The nominal code of the account
        current_balance:
          type: number
          format: double
          nullable: true
          description: The current balance of the account
        updated_at:
          type: string
          nullable: true
          description: The date the account was last updated
        status:
          type: string
          nullable: true
          description: The status of the account
        category:
          $ref: '#/components/schemas/AccountCategory'
          nullable: true
          description: The category of the account
        sub_category:
          type: string
          nullable: true
          description: The sub category of the account
        currency_id:
          type: string
          nullable: true
          description: The currency id of the account
        parent_account_id:
          type: string
          nullable: true
          description: The parent account id of the account
    accountingDocumentObject:
      title: accountingDocumentObject
      type: object
      properties: {}
      allOf:
        - $ref: '#/components/schemas/AccountingRootFiBaseFields'
        - $ref: '#/components/schemas/accountingDocumentFields'
    accountingBillPaymentsAllFields:
      title: accountingBillPaymentsAllFields
      type: object
      properties: {}
      allOf:
        - $ref: '#/components/schemas/accountingBillPaymentsFields'
        - $ref: '#/components/schemas/AccountingRootFiBaseFields'
    accountingBillFields:
      title: accountingBillFields
      type: object
      properties:
        currency_id:
          type: string
          nullable: true
          description: The currency ID of the bill
        contact_id:
          type: string
          nullable: true
          description: The contact ID of the bill
        total_discount:
          type: number
          format: double
          nullable: true
          description: The total discount of the bill
        sub_total:
          type: number
          format: double
          nullable: true
          description: The sub total of the bill
        tax_amount:
          type: number
          format: double
          nullable: true
          description: The tax amount of the bill
        total_amount:
          type: number
          format: double
          nullable: true
          description: The total amount of the bill
        amount_due:
          type: number
          format: double
          nullable: true
          description: The amount due of the bill
        document_number:
          type: string
          nullable: true
          description: The document number of the bill
        posted_date:
          type: string
          nullable: true
          description: The posted date of the bill
        due_date:
          type: string
          nullable: true
          description: The due date of the bill
        memo:
          type: string
          nullable: true
          description: The memo of the bill
        updated_at:
          type: string
          description: The updated at of the bill
          example: '2024-01-25T09:00:00Z'
        status:
          type: string
          nullable: true
          description: The status of the bill
        currency_rate:
          type: number
          format: double
          nullable: true
          description: The currency rate of the bill
        purchase_order_ids:
          type: array
          items:
            type: string
          nullable: true
          description: The purchase order IDs of the bill
        line_items:
          type: array
          items:
            $ref: '#/components/schemas/LineItemFields'
          nullable: true
          description: The line items of the bill
      required:
        - updated_at
    AccountingLineItemtype:
      title: AccountingLineItemtype
      type: string
      enum:
        - BILLS
        - INVOICES
        - BILL_CREDIT_NOTES
        - INVOICE_CREDIT_NOTES
        - EXPENSES
        - PURCHASE_ORDERS
        - SALES_ORDERS
    accountingItemObject:
      title: accountingItemObject
      type: object
      properties: {}
      allOf:
        - $ref: '#/components/schemas/AccountingRootFiBaseFields'
        - $ref: '#/components/schemas/accountingItemFields'
    accountingTaxRateObject:
      title: accountingTaxRateObject
      type: object
      properties: {}
      allOf:
        - $ref: '#/components/schemas/AccountingRootFiBaseFields'
        - $ref: '#/components/schemas/accountingTaxRateFields'
    ExternalLinkType:
      title: ExternalLinkType
      type: string
      enum:
        - EMAIL
        - WEBSITE
    ContactNumberType:
      title: ContactNumberType
      type: string
      enum:
        - MOBILE
        - TELEPHONE
        - FAX
    AccountCategory:
      title: AccountCategory
      type: string
      enum:
        - ASSET
        - EXPENSE
        - LIABILITY
        - EQUITY
        - INCOME
        - BANK
        - UNKNOWN
    accountingDocumentFields:
      title: accountingDocumentFields
      type: object
      properties:
        file_name:
          type: string
          nullable: true
          description: The file name of the document
        file_type:
          type: string
          nullable: true
          description: The file type of the document
        file_size:
          type: string
          nullable: true
          description: The file size of the document
        document_type_id:
          type: string
          nullable: true
          description: The platform_id of the voucher to which the file will be linked to.
        document_type:
          type: string
          nullable: true
          description: The document type of the document
        document_uploaded:
          type: boolean
          nullable: true
          description: The document uploaded of the document
        updated_at:
          type: string
          nullable: true
          description: The updated date of the document
    accountingItemFields:
      title: accountingItemFields
      type: object
      properties:
        name:
          type: string
          nullable: true
          description: Name of the item
        description:
          type: string
          nullable: true
          description: Description of the item
        status:
          $ref: '#/components/schemas/BaseStatus'
          nullable: true
          description: Status of the item. Values are ACTIVE, ARCHIVED, UNKNOWN
        type:
          $ref: '#/components/schemas/ItemType'
          nullable: true
          description: >-
            Type of the item. Values are INVENTORY, NON_INVENTORY, SERVICE,
            UNKNOWN
        code:
          type: string
          nullable: true
          description: Reference code of the item
        quantity_on_hand:
          type: integer
          nullable: true
          description: Quantity on hand
        is_bill_item:
          type: boolean
          nullable: true
          description: >-
            Check if there are details (bill_item) of this item getting
            purchased
        bill_item:
          $ref: '#/components/schemas/accountingItemDetail'
          nullable: true
          description: Item details of this item getting purchased
        is_invoice_item:
          type: boolean
          nullable: true
          description: Check if there are details (invoice_item) of this item getting sold
        invoice_item:
          $ref: '#/components/schemas/accountingItemDetail'
          nullable: true
          description: Item details of this item getting sold
        updated_at:
          type: string
          nullable: true
          description: The date the item was last updated
    accountingTaxRateFields:
      title: accountingTaxRateFields
      type: object
      properties:
        name:
          type: string
          nullable: true
          description: Display name
        code:
          type: string
          nullable: true
          description: Simple ID for the tax rate
        tax_type:
          type: string
          nullable: true
          description: The type of tax as mentioned in the accounting platform
        effective_tax_rate:
          type: number
          format: double
          nullable: true
          description: >-
            The total tax rate after accounting for the compounding effects of
            the all tax components
        total_tax_rate:
          type: number
          format: double
          nullable: true
          description: The sum of all the tax rate components
        components:
          type: array
          items:
            $ref: '#/components/schemas/accountingTaxRateComponent'
          nullable: true
          description: The list of tax rate components
        updated_at:
          type: string
          nullable: true
          description: The last time the tax rate was updated
    ItemType:
      title: ItemType
      type: string
      enum:
        - INVENTORY
        - NON_INVENTORY
        - SERVICE
        - UNKNOWN
    accountingItemDetail:
      title: accountingItemDetail
      type: object
      properties:
        tax_id:
          type: string
          nullable: true
          description: Tax id of the item
        account_id:
          type: string
          nullable: true
        unit_price:
          type: number
          format: double
          nullable: true
          description: Unit price of the item
        description:
          type: string
          nullable: true
          description: Description of the item
    accountingTaxRateComponent:
      title: accountingTaxRateComponent
      type: object
      properties:
        name:
          type: string
          nullable: true
          description: Display name
        rate:
          type: number
          format: double
          nullable: true
          description: >-
            The total tax rate after accounting for the compounding effects of
            the all tax components
        tax_agency:
          type: string
          nullable: true
          description: The tax agency of the tax rate component
        is_compound:
          type: boolean
          nullable: true
          description: Whether the tax rate component is compound
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api_key

````